import { jsx } from "react/jsx-runtime";
import { TokenCFX as TokenCFX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCFX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "CFX", "data-name": "TokenCFX", ...props, children: /* @__PURE__ */ jsx(TokenCFX$1, { variant }) });
  }
);
TokenCFX.displayName = "TokenCFX";
Object.assign(TokenCFX, { isGdsIcon: true });
export {
  TokenCFX
};
